import os

import testinfra.utils.ansible_runner

import warnings
warnings.filterwarnings("ignore", category=DeprecationWarning)

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']).get_hosts('all')


def test_python3_is_installed(host):
    python3 = host.package("python3")
    pip3 = host.package("python3-pip")

    assert python3.is_installed
    assert pip3.is_installed
